summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorTitanSnow <[email protected]>2017-05-26 09:06:34 +0800
committerTitanSnow <[email protected]>2017-05-26 09:06:34 +0800
commitdeeb2ab198a1a0d4f0b732437394b318e3f39ba5 (patch)
tree3058c11133aaa36ac09785be845553994bf2e9f8 /scripts
parent86d7dbd55368a0eb520285f4da7a6f5652530034 (diff)
add better tip for "Dependencies Installation Fail"
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/get.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/get.sh b/scripts/get.sh
index 167d07beb..7254eb588 100755
--- a/scripts/get.sh
+++ b/scripts/get.sh
@@ -58,7 +58,7 @@ install_tools()
{ zypper --version >/dev/null 2>&1 && $sudoprefix zypper --non-interactive install git readline-devel && $sudoprefix zypper --non-interactive install -t pattern devel_C_C++; } ||
{ pacman -V >/dev/null 2>&1 && $sudoprefix pacman -S --noconfirm --needed git base-devel; }
}
-test_tools || { install_tools && test_tools; } || my_exit 'Dependencies Installation Fail' 1
+test_tools || { install_tools && test_tools; } || my_exit "$(echo -e 'Dependencies Installation Fail\nThe getter currently only support these package managers\n\t* apt\n\t* yum\n\t* zypper\n\t* pacman\nPlease install following dependencies manually:\n\t* git\n\t* build essential like `make`, `gcc`, etc\n\t* libreadline-dev (readline-devel)')" 1
branch=master
mirror=tboox
IFS=':'